Units (Colt 1.2.0 - API Specification)
Keywords: cern.clhep.Units class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.clhep
Class Units

    java.lang.Object
      cern.clhep.Units

public class Units
extends Object

High Energy Physics coherent system of Units. This class is a Java port of the C++ version found in CLHEP 1.4.0, which in turn has been provided by Geant4 (a simulation toolkit for HEP).

Version:
  1.0, 09/24/99

Field Summary
`static double` | `ampere`
`static double` | `angstrom`
`static double` | `atmosphere`
`static double` | `bar`
`static double` | `barn`
`static double` | `becquerel`
`static double` | `candela`
`static double` | `centimeter`
`static double` | `centimeter2`
`static double` | `centimeter3`
`static double` | `cm`
`static double` | `cm2`
`static double` | `cm3`
`static double` | `coulomb`
`static double` | `curie`
`static double` | `deg`
`static double` | `degree`
`static double` | `e_SI`
`static double` | `electronvolt`
`static double` | `eplus`
`static double` | `eV`
`static double` | `farad`
`static double` | `fermi`
`static double` | `g`
`static double` | `gauss`
`static double` | `GeV`
`static double` | `gigaelectronvolt`
`static double` | `gram`
`static double` | `gray`
`static double` | `henry`
`static double` | `hep_pascal`
`static double` | `hertz`
`static double` | `joule`
`static double` | `kelvin`
`static double` | `keV`
`static double` | `kg`
`static double` | `kiloelectronvolt`
`static double` | `kilogauss`
`static double` | `kilogram`
`static double` | `kilohertz`
`static double` | `kilometer`
`static double` | `kilometer2`
`static double` | `kilometer3`
`static double` | `kilovolt`
`static double` | `km`
`static double` | `km2`
`static double` | `km3`
`static double` | `lumen`
`static double` | `lux`
`static double` | `m`
`static double` | `m2`
`static double` | `m3`
`static double` | `megaelectronvolt`
`static double` | `megahertz`
`static double` | `megavolt`
`static double` | `meter`
`static double` | `meter2`
`static double` | `meter3`
`static double` | `MeV`
`static double` | `mg`
`static double` | `microampere`
`static double` | `microbarn`
`static double` | `microfarad`
`static double` | `micrometer`
`static double` | `microsecond`
`static double` | `milliampere`
`static double` | `millibarn`
`static double` | `millifarad`
`static double` | `milligram`
`static double` | `millimeter`
`static double` | `millimeter2`
`static double` | `millimeter3`
`static double` | `milliradian`
`static double` | `millisecond`
`static double` | `mm`
`static double` | `mm2`
`static double` | `mm3`
`static double` | `mole`
`static double` | `mrad`
`static double` | `ms`
`static double` | `nanoampere`
`static double` | `nanobarn`
`static double` | `nanofarad`
`static double` | `nanometer`
`static double` | `nanosecond`
`static double` | `newton`
`static double` | `ns`
`static double` | `ohm`
`static double` | `pascal`
`static double` | `perCent`
`static double` | `perMillion`
`static double` | `perThousand`
`static double` | `petaelectronvolt`
`static double` | `PeV`
`static double` | `picobarn`
`static double` | `picofarad`
`static double` | `picosecond`
`static double` | `rad`
`static double` | `radian`
`static double` | `s`
`static double` | `second`
`static double` | `sr`
`static double` | `steradian`
`static double` | `teraelectronvolt`
`static double` | `tesla`
`static double` | `TeV`
`static double` | `volt`
`static double` | `watt`
`static double` | `weber`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### millimeter

    public static final double millimeter

See Also:
  Constant Field Values

### millimeter2

    public static final double millimeter2

See Also:
  Constant Field Values

### millimeter3

    public static final double millimeter3

See Also:
  Constant Field Values

### centimeter

    public static final double centimeter

See Also:
  Constant Field Values

### centimeter2

    public static final double centimeter2

See Also:
  Constant Field Values

### centimeter3

    public static final double centimeter3

See Also:
  Constant Field Values

### meter

    public static final double meter

See Also:
  Constant Field Values

### meter2

    public static final double meter2

See Also:
  Constant Field Values

### meter3

    public static final double meter3

See Also:
  Constant Field Values

### kilometer

    public static final double kilometer

See Also:
  Constant Field Values

### kilometer2

    public static final double kilometer2

See Also:
  Constant Field Values

### kilometer3

    public static final double kilometer3

See Also:
  Constant Field Values

### micrometer

    public static final double micrometer

See Also:
  Constant Field Values

### nanometer

    public static final double nanometer

See Also:
  Constant Field Values

### angstrom

    public static final double angstrom

See Also:
  Constant Field Values

### fermi

    public static final double fermi

See Also:
  Constant Field Values

### barn

    public static final double barn

See Also:
  Constant Field Values

### millibarn

    public static final double millibarn

See Also:
  Constant Field Values

### microbarn

    public static final double microbarn

See Also:
  Constant Field Values

### nanobarn

    public static final double nanobarn

See Also:
  Constant Field Values

### picobarn

    public static final double picobarn

See Also:
  Constant Field Values

### mm

    public static final double mm

See Also:
  Constant Field Values

### mm2

    public static final double mm2

See Also:
  Constant Field Values

### mm3

    public static final double mm3

See Also:
  Constant Field Values

### cm

    public static final double cm

See Also:
  Constant Field Values

### cm2

    public static final double cm2

See Also:
  Constant Field Values

### cm3

    public static final double cm3

See Also:
  Constant Field Values

### m

    public static final double m

See Also:
  Constant Field Values

### m2

    public static final double m2

See Also:
  Constant Field Values

### m3

    public static final double m3

See Also:
  Constant Field Values

### km

    public static final double km

See Also:
  Constant Field Values

### km2

    public static final double km2

See Also:
  Constant Field Values

### km3

    public static final double km3

See Also:
  Constant Field Values

### radian

    public static final double radian

See Also:
  Constant Field Values

### milliradian

    public static final double milliradian

See Also:
  Constant Field Values

### degree

    public static final double degree

See Also:
  Constant Field Values

### steradian

    public static final double steradian

See Also:
  Constant Field Values

### rad

    public static final double rad

See Also:
  Constant Field Values

### mrad

    public static final double mrad

See Also:
  Constant Field Values

### sr

    public static final double sr

See Also:
  Constant Field Values

### deg

    public static final double deg

See Also:
  Constant Field Values

### nanosecond

    public static final double nanosecond

See Also:
  Constant Field Values

### second

    public static final double second

See Also:
  Constant Field Values

### millisecond

    public static final double millisecond

See Also:
  Constant Field Values

### microsecond

    public static final double microsecond

See Also:
  Constant Field Values

### picosecond

    public static final double picosecond

See Also:
  Constant Field Values

### hertz

    public static final double hertz

See Also:
  Constant Field Values

### kilohertz

    public static final double kilohertz

See Also:
  Constant Field Values

### megahertz

    public static final double megahertz

See Also:
  Constant Field Values

### ns

    public static final double ns

See Also:
  Constant Field Values

### s

    public static final double s

See Also:
  Constant Field Values

### ms

    public static final double ms

See Also:
  Constant Field Values

### eplus

    public static final double eplus

See Also:
  Constant Field Values

### e_SI

    public static final double e_SI

See Also:
  Constant Field Values

### coulomb

    public static final double coulomb

See Also:
  Constant Field Values

### megaelectronvolt

    public static final double megaelectronvolt

See Also:
  Constant Field Values

### electronvolt

    public static final double electronvolt

See Also:
  Constant Field Values

### kiloelectronvolt

    public static final double kiloelectronvolt

See Also:
  Constant Field Values

### gigaelectronvolt

    public static final double gigaelectronvolt

See Also:
  Constant Field Values

### teraelectronvolt

    public static final double teraelectronvolt

See Also:
  Constant Field Values

### petaelectronvolt

    public static final double petaelectronvolt

See Also:
  Constant Field Values

### joule

    public static final double joule

See Also:
  Constant Field Values

### MeV

    public static final double MeV

See Also:
  Constant Field Values

### eV

    public static final double eV

See Also:
  Constant Field Values

### keV

    public static final double keV

See Also:
  Constant Field Values

### GeV

    public static final double GeV

See Also:
  Constant Field Values

### TeV

    public static final double TeV

See Also:
  Constant Field Values

### PeV

    public static final double PeV

See Also:
  Constant Field Values

### kilogram

    public static final double kilogram

See Also:
  Constant Field Values

### gram

    public static final double gram

See Also:
  Constant Field Values

### milligram

    public static final double milligram

See Also:
  Constant Field Values

### kg

    public static final double kg

See Also:
  Constant Field Values

### g

    public static final double g

See Also:
  Constant Field Values

### mg

    public static final double mg

See Also:
  Constant Field Values

### watt

    public static final double watt

See Also:
  Constant Field Values

### newton

    public static final double newton

See Also:
  Constant Field Values

### hep_pascal

    public static final double hep_pascal

See Also:
  Constant Field Values

### pascal

    public static final double pascal

See Also:
  Constant Field Values

### bar

    public static final double bar

See Also:
  Constant Field Values

### atmosphere

    public static final double atmosphere

See Also:
  Constant Field Values

### ampere

    public static final double ampere

See Also:
  Constant Field Values

### milliampere

    public static final double milliampere

See Also:
  Constant Field Values

### microampere

    public static final double microampere

See Also:
  Constant Field Values

### nanoampere

    public static final double nanoampere

See Also:
  Constant Field Values

### megavolt

    public static final double megavolt

See Also:
  Constant Field Values

### kilovolt

    public static final double kilovolt

See Also:
  Constant Field Values

### volt

    public static final double volt

See Also:
  Constant Field Values

### ohm

    public static final double ohm

See Also:
  Constant Field Values

### farad

    public static final double farad

See Also:
  Constant Field Values

### millifarad

    public static final double millifarad

See Also:
  Constant Field Values

### microfarad

    public static final double microfarad

See Also:
  Constant Field Values

### nanofarad

    public static final double nanofarad

See Also:
  Constant Field Values

### picofarad

    public static final double picofarad

See Also:
  Constant Field Values

### weber

    public static final double weber

See Also:
  Constant Field Values

### tesla

    public static final double tesla

See Also:
  Constant Field Values

### gauss

    public static final double gauss

See Also:
  Constant Field Values

### kilogauss

    public static final double kilogauss

See Also:
  Constant Field Values

### henry

    public static final double henry

See Also:
  Constant Field Values

### kelvin

    public static final double kelvin

See Also:
  Constant Field Values

### mole

    public static final double mole

See Also:
  Constant Field Values

### becquerel

    public static final double becquerel

See Also:
  Constant Field Values

### curie

    public static final double curie

See Also:
  Constant Field Values

### gray

    public static final double gray

See Also:
  Constant Field Values

### candela

    public static final double candela

See Also:
  Constant Field Values

### lumen

    public static final double lumen

See Also:
  Constant Field Values

### lux

    public static final double lux

See Also:
  Constant Field Values

### perCent

    public static final double perCent

See Also:
  Constant Field Values

### perThousand

    public static final double perThousand

See Also:
  Constant Field Values

### perMillion

    public static final double perMillion

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage